Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: John Wiegley <[email-masked]>
Date: Thu, 19 Nov 2015 11:05:31 -0800

>>>>> Juanma Barranquero <[email-masked]> writes:

> At least on Windows, that's not entirely true. I compile with very pedantic
> switches.

I'd love to address those as well, although I can't make it a blocker for
release. GNU platforms will have to determine the "gold standard", even if we
make it a point of pride to tackle warnings everywhere we find them.

On that note (and I think I mentioned in another thread), I'm working with
aconole on IRC to get the Coverity build up and running again regularly, which
should produce another volume of warnings to scan through. If it works well,
it should be like getting some free code review on our C. We'll see.

Finally, there is running under valgrind, and addressing warnings that appear
there too.

I would be quite happy if the 25.x cycle emphasized correctness and fewer bugs
over "headline features" leading up 26. It might not be as sexy or print-
worthy, but it builds a better foundation for future contributors.

John